/// <reference types="./global.d.ts" />

export { GIFAnimation } from "./animation/gif.ts";
export { SpriteAnimation } from "./animation/sprite.ts";
export { axisAlignedCollision, axisAlignedContains } from "./collision/aa.ts";
export { circularCollision } from "./collision/circular.ts";
export {
  satCollisionAABBCircle,
  satCollisionCircle,
  satCollisionPolygon,
  satCollisionSpline,
} from "./collision/sat.ts";
export { Vector } from "./geometry/vector.ts";
export { Polygon } from "./geometry/polygon.ts";
export { SplineSegment } from "./geometry/spline.ts";

export { init as initializeDoodler } from "./init.ts";
